#    Licensed under the Apache License, Version 2.0 (the "License"); you may
#    not use this file except in compliance with the License. You may obtain
#    a copy of the License at
#
#         http://www.apache.org/licenses/LICENSE-2.0
#
#    Unless required by applicable law or agreed to in writing, software
#    distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
#    WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
#    License for the specific language governing permissions and limitations
#    under the License.

"""
This file contains configuration for the locations of all the static file
libraries, such as JavaScript and CSS libraries. Packagers for individual
distributions can edit or replace this file, in order to change the paths
to match their distribution's standards.
"""

import horizon.xstatic.main
import horizon.xstatic.pkg.angular
import horizon.xstatic.pkg.angular_bootstrap
import horizon.xstatic.pkg.angular_smart_table
import horizon.xstatic.pkg.bootstrap_datepicker
import horizon.xstatic.pkg.bootstrap_scss
import horizon.xstatic.pkg.d3
import horizon.xstatic.pkg.font_awesome
import horizon.xstatic.pkg.hogan
import horizon.xstatic.pkg.jasmine
import horizon.xstatic.pkg.jquery
import horizon.xstatic.pkg.jquery_migrate
import horizon.xstatic.pkg.jquery_quicksearch
import horizon.xstatic.pkg.jquery_tablesorter
import horizon.xstatic.pkg.jquery_ui
import horizon.xstatic.pkg.jsencrypt
import horizon.xstatic.pkg.qunit
import horizon.xstatic.pkg.rickshaw
import horizon.xstatic.pkg.spin


STATICFILES_DIRS = [
    ('horizon/lib/angular',
        horizon.xstatic.main.XStatic(horizon.xstatic.pkg.angular).base_dir),
    ('horizon/lib/angular',
        horizon.xstatic.main.XStatic(horizon.xstatic.pkg.angular_bootstrap).base_dir),
    ('horizon/lib/smart-table',
        horizon.xstatic.main.XStatic(horizon.xstatic.pkg.angular_smart_table).base_dir),
    ('horizon/lib/bootstrap_datepicker',
        horizon.xstatic.main.XStatic(horizon.xstatic.pkg.bootstrap_datepicker).base_dir),
    ('bootstrap',
        horizon.xstatic.main.XStatic(horizon.xstatic.pkg.bootstrap_scss).base_dir),
    ('horizon/lib',
        horizon.xstatic.main.XStatic(horizon.xstatic.pkg.d3).base_dir),
    ('horizon/lib',
        horizon.xstatic.main.XStatic(horizon.xstatic.pkg.hogan).base_dir),
    ('horizon/lib/font-awesome',
        horizon.xstatic.main.XStatic(horizon.xstatic.pkg.font_awesome).base_dir),
    ('horizon/lib/jasmine',
        horizon.xstatic.main.XStatic(horizon.xstatic.pkg.jasmine).base_dir),
    ('horizon/lib/jquery',
        horizon.xstatic.main.XStatic(horizon.xstatic.pkg.jquery).base_dir),
    ('horizon/lib/jquery',
        horizon.xstatic.main.XStatic(horizon.xstatic.pkg.jquery_migrate).base_dir),
    ('horizon/lib/jquery',
        horizon.xstatic.main.XStatic(horizon.xstatic.pkg.jquery_quicksearch).base_dir),
    ('horizon/lib/jquery',
        horizon.xstatic.main.XStatic(horizon.xstatic.pkg.jquery_tablesorter).base_dir),
    ('horizon/lib/jsencrypt',
        horizon.xstatic.main.XStatic(horizon.xstatic.pkg.jsencrypt).base_dir),
    ('horizon/lib/qunit',
        horizon.xstatic.main.XStatic(horizon.xstatic.pkg.qunit).base_dir),
    ('horizon/lib',
        horizon.xstatic.main.XStatic(horizon.xstatic.pkg.rickshaw).base_dir),
    ('horizon/lib',
        horizon.xstatic.main.XStatic(horizon.xstatic.pkg.spin).base_dir),
]


if horizon.xstatic.main.XStatic(horizon.xstatic.pkg.jquery_ui).version.startswith('1.10.'):
    # The 1.10.x versions already contain the 'ui' directory.
    STATICFILES_DIRS.append(
        ('horizon/lib/jquery-ui',
         horizon.xstatic.main.XStatic(horizon.xstatic.pkg.jquery_ui).base_dir))
else:
    # Newer versions dropped the directory, add it to keep the path the same.
    STATICFILES_DIRS.append(
        ('horizon/lib/jquery-ui/ui',
         horizon.xstatic.main.XStatic(horizon.xstatic.pkg.jquery_ui).base_dir))
